Name:           apache-mime4j
Version:        0.7.2
Release:        %mkrel 6
Summary:        Apache JAMES Mime4j
Group:          Development/Java
License:        ASL 2.0
URL:            http://james.apache.org/mime4j
Source0:        http://apache.online.bg//james/mime4j/apache-mime4j-project-%{version}-source-release.zip
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  apache-commons-logging
BuildRequires:  log4j
BuildRequires:  junit
BuildRequires:  apache-commons-io
BuildRequires:  apache-james-project
BuildRequires:  javacc-maven-plugin
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  apache-rat-plugin
BuildRequires:  apache-resource-bundles
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.apache.maven.shared:maven-plugin-testing-harness)

%description
Java stream based MIME message parser.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-project-%{version}
rm -fr stage
# prevents rat plugin from failing the build
rm -fr DEPENDENCIES

# Compat symlinks for jboss-as
for p in core dom storage; do
  %mvn_file :*$p %{name}/%{name}-$p %{name}/$p
done

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE RELEASE_NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Jan 08 2014 dmorgan <dmorgan> 0.7.2-6.mga4
+ Revision: 565544
- Fix BuildRequires

* Tue Oct 22 2013 umeabot <umeabot> 0.7.2-5.mga4
+ Revision: 545690
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 0.7.2-4.mga4
+ Revision: 501572
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 0.7.2-3.mga3
+ Revision: 345829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 0.7.2-2.mga3
+ Revision: 343661
- Fix buildrequires

* Sun Sep 09 2012 dmorgan <dmorgan> 0.7.2-1.mga3
+ Revision: 290987
- New version

* Wed Apr 27 2011 dmorgan <dmorgan> 0.6.1-2.mga1
+ Revision: 92250
- Rebuild after bootstrapping
- imported package apache-mime4j


* Wed Feb 23 2011 Alexander Kurtakov <akurtako@redhat.com> 0.6.1-1
- Initial package.
